backend:
  name: git-gateway
  branch: main # Branch to update (optional; defaults to master)
media_folder: static/images
public_folder: /images
collections:
  - name: 'post'
    label: 'Post'
    folder: 'content/posts'
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{title}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime', date_format: 'YYYY-MM-DD' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Thumbnail', name: 'thumbnail', widget: 'image' }
      - { label: 'Banner Photo', name: 'bannerPhoto', widget: 'image', default: '/images/grass.jpg' }
      - { label: 'Banner Zoom', name: 'bannerZoom', widget: 'number', default: 130 }
      - { label: 'Body', name: 'body', widget: 'markdown' }
  
  - name: 'page'
    label: 'Page'
    editor:
      preview: false
    files:
      - name: 'home'
        label: 'Home'
        file: 'content/_index.md'
        fields:
          - { label: 'Title', name: 'title', widget: 'string' }
          - { label: 'Description', name: 'description', widget: 'string' }
          - { label: 'Banner Photo', name: 'bannerPhoto', widget: 'image' }
          - { label: 'Banner Position', name: 'bannerVerticalPosition', widget: 'number' }
          - { label: 'Banner Zoom', name: 'bannerZoom', widget: 'number' }
          - { label: 'Banner Parallax Speed', name: 'bannerSpeed', widget: 'number' }
          - label: "Bio Section"
            name: "bioSection"
            widget: "object"
            collapsed: true
            fields: 
              - { label: 'Bio Photo', name: 'bioPhoto', widget: 'image' }
              - { label: 'Bio Photo Size', name: 'bioPhotoSize', widget: 'number' }
              - { label: 'Bio', name: 'bio', widget: 'markdown' }
          - label: "Book Section"
            name: "bookSection"
            widget: "object"
            collapsed: true
            fields:
              - { label: 'Book Photo', name: 'bookPhoto', widget: 'image' }
              - { label: 'Book Photo Size', name: 'bookPhotoSize', widget: 'number' }
              - { label: 'Book Summary', name: 'bookSummary', widget: 'markdown' }
          - { label: 'Body', name: 'body', widget: 'markdown', required: false }
      
      - name: 'book'
        label: 'Book'
        file: 'content/book.md'
        fields:
          - { label: 'Title', name: 'title', widget: 'string' }
          - { label: 'Description', name: 'description', widget: 'string' }
          - { label: 'Layout', name: 'layout', widget: 'string', default: 'book'}
          - { label: 'Banner Photo', name: 'bannerPhoto', widget: 'image' }
          - { label: 'Banner Position', name: 'bannerVerticalPosition', widget: 'number' }
          - { label: 'Banner Zoom', name: 'bannerZoom', widget: 'number' }
          - { label: 'Banner Parallax Speed', name: 'bannerSpeed', widget: 'number' }
          - { label: 'Body', name: 'body', widget: 'markdown' }
      
      - name: 'posts'
        label: 'Posts'
        file: 'content/posts/_index.md'
        fields:
          - { label: 'Title', name: 'title', widget: 'string' }
          - { label: 'Description', name: 'description', widget: 'string' }
          - { label: 'Layout', name: 'layout', widget: 'string', default: 'posts'}
          - { label: 'Banner Photo', name: 'bannerPhoto', widget: 'image' }
          - { label: 'Banner Position', name: 'bannerVerticalPosition', widget: 'number' }
          - { label: 'Banner Zoom', name: 'bannerZoom', widget: 'number' }
          - { label: 'Banner Parallax Speed', name: 'bannerSpeed', widget: 'number' }
          - { label: 'Body', name: 'body', widget: 'markdown' }
      
      - name: 'contact'
        label: 'Contact'
        file: 'content/contact.md'
        fields:
          - { label: 'Title', name: 'title', widget: 'string' }
          - { label: 'Description', name: 'description', widget: 'string' }
          - { label: 'Layout', name: 'layout', widget: 'string', default: 'contact'}
          - { label: 'Banner Photo', name: 'bannerPhoto', widget: 'image' }
          - { label: 'Banner Position', name: 'bannerVerticalPosition', widget: 'number' }
          - { label: 'Banner Zoom', name: 'bannerZoom', widget: 'number' }
          - { label: 'Banner Parallax Speed', name: 'bannerSpeed', widget: 'number' }
          - { label: 'Body', name: 'body', widget: 'markdown' }